Solid Edge Part Type Library
RefPlanes Property
Description
Returns the RefPlanes collection object for the referenced document object.
Property type
Read-only property
Syntax
Visual Basic
Public Property RefPlanes As RefPlanes
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objRefPlanes As SolidEdgePart.RefPlanes
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' getting the collection of reference planes on the part document
    Set objRefPlanes = objDoc.RefPlanes
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
End Sub
See Also

PartDocument Object  | PartDocument Members